package com.hzya.frame.cbs8.dto.req;

import java.util.List;

/**
 * @Description 查询交易结果请求参数
 * @Author xiangerlin
 * @Date 2024/1/3 09:46
 **/
public class PayResultRequestDTO {
    public PayResultRequestDTO() {
    }
    public PayResultRequestDTO(String referenceNum) {
        this.referenceNum = referenceNum;
    }

    private String referenceNum;//业务参考号，必填
    private List<String> statusList;//状态
    private List<String> payStatusList;//支付状态

    public String getReferenceNum() {
        return referenceNum;
    }

    public void setReferenceNum(String referenceNum) {
        this.referenceNum = referenceNum;
    }

    public List<String> getStatusList() {
        return statusList;
    }

    public void setStatusList(List<String> statusList) {
        this.statusList = statusList;
    }

    public List<String> getPayStatusList() {
        return payStatusList;
    }

    public void setPayStatusList(List<String> payStatusList) {
        this.payStatusList = payStatusList;
    }
}
